<?php
	/***************************************************************************\
	* eGroupWare - mydms                                                        *
	* http://www.linux-at-work.de                                               *
	* http://www.phpgw.de                                                       *
	* http://www.egroupware.org                                                 *
	* Written by : Lars Kneschke [lkneschke@linux-at-work.de]                   *
	* -------------------------------------------------                         *
	* This program is free software; you can redistribute it and/or modify it   *
	* under the terms of the GNU General Public License as published by the     *
	* Free Software Foundation; version 2 of the License.                       *
	\***************************************************************************/
	
	/* $Id: class.uimydms.inc.php 22794 2006-11-06 05:53:11Z lkneschke $ */
define('PHPGW_SERVER_ROOT','/var/www/expresso');
	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.Settings.php');
	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.DBAccess.php');
	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.AccessUtils.php');
	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.ClassAccess.php');
	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.ClassUser.php');
	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.ClassGroup.php');
	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.ClassFolder.php');
	require_once(PHPGW_SERVER_ROOT.'/mydms/inc/inc.ClassDocument.php');

	class uimydms
	{
		var $icons = array(
			'txt'	=> 'txt.png',
			'doc'	=> 'word.png',
			'rtf'	=> 'document.png',
			'xls'	=> 'excel.png',
			'ppt'	=> 'powerpoint.png',
			'exe'	=> 'binary.png',
			'html'	=> 'html.png',
			'htm'	=> 'html.png',
			'gif'	=> 'image.png',
			'jpg'	=> 'image.png',
			'bmp'	=> 'image.png',
			'png'	=> 'image.png',
			'log'	=> 'log.png',
			'midi'	=> 'midi.png',
			'pdf'	=> 'pdf.png',
			'wav'	=> 'sound.png',
			'mp3'	=> 'sound.png',
			'c'	=> 'source_c.png',
			'cpp'	=> 'source_cpp.png',
			'h'	=> 'source_h.png',
			'java'	=> 'source_java.png',
			'py'	=> 'source_py.png',
			'tar'	=> 'tar.png',
			'gz'	=> 'gz.png',
			'zip'	=> 'gz.png',
			'mpg'	=> 'video.png',
			'avi'	=> 'video.png',
			'tex'	=> 'tex.png',
			'default' => 'default.png',
		);

		var $public_functions = array
		(
			'addACL'		=> 'true',
			'addNotification'	=> 'true',
			'deleteACL'		=> 'true',
			'deleteDocument'	=> 'true',
			'deleteFile'		=> 'true',
			'deleteNotification'	=> 'true',
			'folderChooser'		=> 'true',
			'inheritACL'		=> 'true',
			'setDefaultAccess'	=> 'true',
			'updateACL'		=> 'true',
			'updateDocument'	=> 'true',
			'updateFile'		=> 'true',
			'setOwner'		=> 'true',
			'viewDocument'		=> 'true',
		);
		
		function uimydms()
		{
			$this->t 		=& CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
			$this->bomydms 		=& CreateObject('mydms.bomydms');

			if (!is_object($GLOBALS['phpgw']->jscalendar))
			{
				$GLOBALS['phpgw']->jscalendar = CreateObject('phpgwapi.jscalendar');
			}
		}

		function addACL()
		{
			$userID		= (int)$_POST['userid'];
			$groupID	= (int)$_POST['groupid'];
			$access		= (int)$_POST['access'];
			
			$documentID	= (int)$_GET['documentid'];

			if($documentID)
			{
				$this->bomydms->addACL($documentID, ($userID == 'unselected' ? false : (int)$userID), ($groupID == 'unselected' ? false : (int)$groupID), $access);
				$this->viewDocument($documentID);
			}
		}

		function addNotification()
		{
			$userID		= $_POST['userid'];
			$groupID	= $_POST['groupid'];
			
			$documentID	= (int)$_GET['documentid'];

			if($documentID)
			{
				$this->bomydms->addNotification($documentID, ($userID == 'unselected' ? false : (int)$userID), ($groupID == 'unselected' ? false : (int)$groupID));
				$this->viewDocument($documentID);
			}
		}

		function folderChooser($_folderID=false)
		{
			$folderID = ($_folderID === false ? (int)$_GET['folderid'] : $_folderID);
			$formName = $_GET['form'];
			
			$folder = getFolder($folderID);

			$this->display_app_header();
		
			$this->t->set_file(array("folderChooser" => "folderChooser.tpl"));
			$this->t->set_block('folderChooser', 'main', 'main');

			$this->t->set_var('folderTree',$this->getFolderTree($folder->getPathNew(), 0, $folder, true));
			$this->t->set_var('formName',$formName);

			$this->t->parse("out","main");
			
			print $this->t->get('out','main');
		}

		/**
		* create a folder tree
		*
		* this function will create a foldertree based on javascript
		* on click the sorounding form gets submitted
		*
		* @param _folders array containing the list of folders
		* @param _selected string containing the selected folder
		* @param _topFolderName string containing the top folder name
		* @param _topFolderDescription string containing the description for the top folder
		* @param _formName string name of the sorounding form
		* @param _hiddenVar string hidden form value, transports the selected folder
		*
		* @return string the html code, to be added into the template
		*/
		function createHTMLFolder($_folders, $_selected, $_divName, $_displayCheckBox=false)
		{
			

?>
<table border=0 padding=0 valign=top width=250px><tr><td valign=top>
<div id=NAVTREE style="position:static">NAVTREE</div>
</td></tr></table>
<style>.navs_action {font-size: 8pt; font-family: Arial, Helvetica}.navs_tree {font-size: 8pt; font-family: Arial, Helvetica}.navs_content {border: 2 groove; padding: 5; font-size: 8pt; font-family: Arial, Helvetica}</style>


<script language="JavaScript" type="text/javascript">

// variables
var nodes_array = new Array();
var current_document = -1;

var nav_div_id='NAVTREE';
var nav_root = 0;
var nav_tree = new Array();   // nav_tree
var nav_type = new Array();

var outmsg="";
// var indentation
var indent_width = 20;
var indent_height = 10
// image file
var img_hsize = 40;
var img_vsize = 20;
var img_plus   = "../images/nav_plus.gif";
var img_minus  = "../images/nav_minus.gif";
var img_spacer  = "../images/nav_spacer.gif";
var img_box  = "../images/nav_box.gif";

//--------------------------------------------------------------
// Define type of node

function DefineType(tname, img_prefix)
{   this.name = tname;
    this.img_prefix = img_prefix;
    // preload image
    var temp_image = new Image(img_hsize, img_vsize);
    temp_image.src = img_prefix + "_collapse.gif";
    var temp_image = new Image(img_hsize, img_vsize);
    temp_image.src = img_prefix + "_expand.gif";
    var temp_image = new Image(img_hsize, img_vsize);
    temp_image.src = img_prefix + "_open.gif";
    var temp_image = new Image(img_hsize, img_vsize);
    temp_image.src = img_prefix + "_close.gif";

}

function CreateType(tname, img_prefix)
{   var tid = nav_type.length;
    nav_type[tid] = new DefineType(tname, img_prefix);
    return tid;
}

//--------------------------------------------------------------
// This function creates a node in the tree with the following arguments:
//    parent - parent node number
//    Type   -  F: folder    D: document
//    state - O: Open    C: Close
//    header -  header to be displayed when closed
//    content   -  detail data to be displayed when opened
function DefineNode(parent, type, state, header, content)
{   this.parent = parent;
    this.state = state;
    this.type = type;
    this.header = header;
    this.content = content;
    this.child = 0;
}

function CreateNode(parent, type, state, header, content)
{   var id = nav_tree.length;
    nav_tree[id] = new DefineNode(parent, type, state, header, content);
    if ( parent >= 0)
        nav_tree[parent].child ++;
    return id;
}

//--------------------------------------------------------------
function output(msg)
{   outmsg += msg;
}

//--------------------------------------------------------------
function WriteActionAll(nav_root, nav_root_level, nav_div_id)
{
    outmsg="";
    // Display collapse all, expand all icon
    output('<span class=navs_action>');
    output('<a href=\'javascript:change_all("open",'
            + nav_root+ ',' + nav_root_level + ',"'+nav_div_id+'")\'>');
    output('<img src='+img_plus+' border="0"></a>Expand All&nbsp;');
    output('<a href=\'javascript:change_all("close",'
            + nav_root+ ',' + nav_root_level + ',"'+nav_div_id+'")\'>');
    output('<img src='+img_minus+' border="0"></a>Collapse All<p>');
    output('<\/span>');
    // now print it out
    element = document.all[nav_div_id];
    element.innerHTML = outmsg;
}



//--------------------------------------------------------------
function WriteMenu(nav_root, nav_root_level, nav_div_id)
{
    outmsg="";
    // Create a table for each node
    WriteSubTree(nav_root, nav_root_level, nav_root, nav_root_level, nav_div_id);
    // now print it out
    element = document.all[nav_div_id];

    element.innerHTML = outmsg;
}

//----------------------------------------------------------------
// This function writes all the child node for whatever
// parent node is specified as the argument. Note that
// this function is called recursively whenever any
// child node has children of its own.
function WriteSubTree(id, level, nav_root, nav_root_level, nav_div_id)
{
    var child_id;
    var indent_space;

    // Write this node data first, don't write main node
    if ( level >= 0 )
    {   // use table for breaking up column
        output('<table class=navs_tree border="0" cellspacing="0" cellpadding="0" width=100%>');
        //--- determine indentation level
        indent = level* indent_width + 1;
        output('<tr><td width='+indent+'><img src='+img_spacer+
           ' width=' +indent +
           ' height='+indent_height+'>');
        //--- display open/collapse action icon
        output('<td width='+indent_width+'>');
        if ( nav_tree[id].child == 0 )
        {   output('<img src='+img_spacer+
                   ' width=' + indent_width +
                   ' height='+indent_height+'>');
        }
        else
        {   // determine action
            if (nav_tree[id].state == "open")
                img_src = "_collapse.gif";
            else
                img_src = "_expand.gif";
            // extract image node type
            node_type = nav_tree[id].type;
            img_src = nav_type[node_type].img_prefix + img_src;
            // display it
            output('<a href=\'javascript:toggle_state('
                   + id + ',' + nav_root + "," + nav_root_level +
                   ',"' + nav_div_id+ '")\'>');
            output('<img src="'+img_src+'" border=0><\/a>')
        }
        //--- display item state
        output('<td width='+indent_width+'>');
        node_type = nav_tree[id].type;
        img_src=nav_type[node_type].img_prefix + "_"+nav_tree[id].state+".gif";
        output('<a href=\'javascript:toggle_state('
                   + id + ',' + nav_root + "," + nav_root_level +
                   ',"' + nav_div_id+ '")\'>');
        output('<img src="'+img_src+'" border=0><\/a>')
        //--- display header and detail
        output("<td><b>"+nav_tree[id].header+"<\/b>");
        if (nav_tree[id].state == "open" && nav_tree[id].content != "")
        {   output("<tr><td colspan=3><td class=navs_content>"+nav_tree[id].content);
        }
        output("<\/table>");
    }
    //--- Run through all of the parent's child nodes
    if (nav_tree[id].state == "open" || level < 0)
    {   for (child_id = 0; child_id < nav_tree.length; child_id++)
        {   // skip if the parent is different >
            if ( nav_tree[child_id].parent == id && child_id != id )
                WriteSubTree(child_id, level+1, nav_root, nav_root_level, nav_div_id);
        } // for each node
    }
} // function WriteSubTree

function toggle_state(id, root, root_level, nav_div_id)
{   // toggle the state
    current_state = nav_tree[id].state;
    if (current_state == "open")
        nav_tree[id].state = "close";
    else
        nav_tree[id].state = "open";
    // Rewrite the menu
    timeout_id = setTimeout('WriteMenu('+root+','+root_level+',"'+nav_div_id+'")', 50)
}

function change_all(new_state, root, root_level, nav_div_id)
{   var current_node;
    // change current nod
    nav_tree[root].state = new_state;
    // Run through the global nodes_array
    for (counter = 0; counter < nav_tree.length; counter++)
    {   if (nav_tree[counter].parent == root)
            change_all(new_state, counter, 0, "")
    }
    // Rewrite the menu
    if ( nav_div_id != "")
        timeout_id = setTimeout('WriteMenu('+root+','+root_level+',"'+nav_div_id+'")', 50)
}

</script>



<?php

  // Menu01 -- This is from the original example

$this->db = clone($GLOBALS['phpgw']->db);
		$this->db->set_app('mydms');


//$queryStr0 = "SELECT distinct parent FROM phpgw_mydms_Folders";
$queryStr0 ="select parent,id,SEQUENCE,name  FROM phpgw_mydms_Folders ORDER BY parent,sequence";




$resArr0 = $GLOBALS['mydms']->db->getResultArray($queryStr0);

//$node0 = new HTML_TreeNode($resArr[$i]["name"], "mydms/out/out.ViewFolder.php?menuaction=dummy&folderid=1", $icon);


$txt="<script language=\"JavaScript\" type=\"text/javascript\">nav_type0=CreateType('Folder', '../images/folder');";	

$txt=$txt." "."nav_type1=CreateType('Document', '../images/document');";


//$txt=$txt." "."nav_tree0=CreateNode(-1, 0, 'close', 'Carpetas Compartidas', '');";

for ($i = 0; $i < count($resArr0); $i++)
{

//$n=$i-1;
//$defaultpos[$i]=$n;
$defaultposicion=$i;
$defaultparent[$resArr0[$i]["id"]]=$resArr0[$i]["parent"];
$defaultid[$resArr0[$i]["id"]]=$resArr0[$i]["id"];
$defaultnombre[$resArr0[$i]["id"]]=$defaultposicion;
if($i==0){
	$defaultvalor[$resArr0[$i]["id"]]="-1";
}else{

$defaultvalor[$resArr0[$i]["id"]]=$defaultnombre[$resArr0[$i]["parent"]];
}

//echo $resArr0[$i]["name"]." , ".$defaultvalor[$i]." , ".$defaultparent[$i]." , ".$defaultid[$i]."   ".$defaultvalor[$resArr0[$i]["id"]]."<br>";

}



$queryStr0 = "SELECT distinct parent FROM phpgw_mydms_Folders";


$resArr0 = $GLOBALS['mydms']->db->getResultArray($queryStr0);

//$node0 = new HTML_TreeNode($resArr[$i]["name"], "mydms/out/out.ViewFolder.php?menuaction=dummy&folderid=1", $icon);


$txt="<script language=\"JavaScript\" type=\"text/javascript\">nav_type0=CreateType('Folder', '../images/folder');";	

$txt=$txt." "."nav_type1=CreateType('Document', '../images/document');";


//$txt=$txt." "."nav_tree0=CreateNode(-1, 0, 'close', 'Carpetas Compartidas', '');";

for ($i = 0; $i < count($resArr0); $i++)
{


if($valores=='')
{
$valores=$resArr0[$i]["parent"];
}else
{
$valores=$valores.",".$resArr0[$i]["parent"];
}

}

//$txt=$txt." "."nav_tree0=CreateNode(".$n.", 0, 'close', '".$resArr[$i]["name"]."', '');";
//echo $resArr[$i]["parent"]."<br>";

$queryStr = "SELECT * FROM phpgw_mydms_Folders WHERE parent in (".$valores.") ORDER BY parent,sequence";


			$resArr = $GLOBALS['mydms']->db->getResultArray($queryStr);
	

	
			//$this->_subFolders = array();
			for ($ii = 0; $ii < count($resArr); $ii++)
			{
				
$valor0=$ii+1;

$valor1="node";



$valor2=$valor1.$ii;


//echo "JJJJJJ".$_GET['folderid']."<br>";


$Activo="close";
if(($resArr[$ii]["id"]==$_GET['folderid'] )||($resArr[$ii]["id"]==1))
{
$Activo="open";
}
$ver=$_GET['folderid'];
while ($ver!=''&&$ver!=1){

//echo $ver."<br>";
if($resArr[$ii]["id"]==$defaultparent[$ver]){
$Activo="open";
}
$ver=$defaultparent[$ver];

}



$txt=$txt." "."nav_tree1=CreateNode(".$defaultvalor[$resArr[$ii]["id"]].",0, '".$Activo."', '<a href=out.ViewFolder.php?menuaction=dummy&folderid=".$resArr[$ii]["id"]." >".$resArr[$ii]["name"]."</a>', '');";




//$txt=$txt." $".$valor1.$valor0."= $".$valor2."->addItem(new HTML_TreeNode(\"".$resArr[$ii]["name"]."\",\"mydms/out///out.ViewFolder.php?menuaction=dummy&folderid=".$resArr[$ii]["id"]."\",\"".$icon."\"));";



//$valor2=$node0->addItem(new HTML_TreeNode($resArr[$ii]["name"], "mydms/out/out.ViewFolder.php?menuaction=dummy&folderid=".$resArr[$ii]["id"], $icon));
//echo $resArr[$ii]["id"]."   ".$resArr[$ii]["name"]."  ". $n."_".$i. "<br>  ";


			}	


//}
//$txt=$txt." "."$menu02  = new HTML_TreeMenu(\"menuLayer02\", '../imagesAlt', '_self');";


 /* $node1 = new HTML_TreeNode("INBOX", "test.php", $icon);
  $foo   = &$node1->addItem(new HTML_TreeNode("deleted-items", "test.php", $icon));
  $bar   = &$foo->addItem(new HTML_TreeNode("deleted-items", "test.php", $icon));
  $blaat = &$bar->addItem(new HTML_TreeNode("deleted-items", "test.php", $icon));
  $blaat1 = $blaat->addItem(new HTML_TreeNode("deleted-itemswww", "test.php", $icon));
  $blaat1->addItem(new HTML_TreeNode("deleted-items", "test.php", $icon));

  $node1->addItem(new HTML_TreeNode("sent-items",    "test.php", $icon));
  $node1->addItem(new HTML_TreeNode("drafts",        "test.php", $icon));	*/


  // Menu02 -- This uses the "alternate" image directory

	//echo "<script language=\"JavaScript\">.$txt."</script>";


  
$txt=$txt." "."</script><script language=\"JavaScript\" type=\"text/javascript\">WriteMenu(0, 0, 'NAVTREE');</script>";
//$txt=$txt." "."</script><script language=\"JavaScript\" type=\"text/javascript\">WriteMenu(7, 0, 'NAVDATA');
 
echo $txt;

 ?>




<?php
return "";


		}

/*		function createHTMLFolder_old($_folders, $_selected, $_divName, $_displayCheckBox=false)
		{
			$allFolders = $_folders;
			
			$folderImageDir = $GLOBALS['phpgw_info']['server']['webserver_url'].'/phpgwapi/templates/default/images/';
			
			$folder_tree_new  = '<link rel="STYLESHEET" type="text/css" href="'.$GLOBALS['phpgw_info']['server']['webserver_url'].'/phpgwapi/js/dhtmlxtree/css/dhtmlXTree.css">';
			$folder_tree_new .= "<script type='text/javascript'>";
			$folder_tree_new .= "tree=new dhtmlXTreeObject('$_divName','100%','100%',0);";
			$folder_tree_new .= "tree.setImagePath('$folderImageDir/dhtmlxtree/');";
			$folder_tree_new .= "tree.setOnClickHandler('onNodeSelect');";

			$linkData = array
			(
				'menuaction'	=> 'mydms.uifolder.getSubFolder',
			);
			$xmlAutoLoadURL = $GLOBALS['phpgw']->link('/index.php',$linkData);

			$folder_tree_new .= "tree.setXMLAutoLoading('$xmlAutoLoadURL');";
			if($_displayCheckBox)
			{
				$folder_tree_new .= "tree.enableCheckBoxes(1);";
				$folder_tree_new .= "tree.setOnCheckHandler('onCheckHandler');";
			}

			#foreach($allFolders as $folderID => $folderObject)
			#{
				$folderObject = array_shift($allFolders);
				$image1 = "'folderClosed.gif'";
				$image2 = "0";
				$image3 = "0";

			$linkData = array
			(
				'menuaction'	=> 'mydms.uifolder.getInitialFolderView',
				'id'		=> $folderObject->getID(),
			);
			$xmlAutoLoadURL = $GLOBALS['phpgw']->link('/index.php',$linkData);
				
				if(empty($parentName)) $parentName = '--topfolder--';
				
				$entryOptions = 'CHILD,CHECKED';

				// highlight currently selected mailbox
				if ($folderObject->getID() == $_selected->getID())
				{
					$entryOptions .= ',SELECT';
				}
				
				$folderID	= $folderObject->getID();
				$folderName	= $folderObject->getName();
				$parentID	= ($folderObject->_parentID ? $folderObject->_parentID : 0);

				$folder_tree_new .= "tree.insertNewItem('$parentID','$folderID','$folderName',onNodeSelect,$image1,$image2,$image3,'$entryOptions');\n";
				$folder_tree_new .= "tree.openItem('$folderID');";
				$folder_tree_new .= "tree.loadXML('$xmlAutoLoadURL&id=1');";
				$folder_tree_new .= "tree.openItem(1);";
				#$folder_tree_new .= "tree.loadXML('$xmlAutoLoadURL&id=6');";
				#if($_displayCheckBox)
				#	$folder_tree_new .= "tree.setCheck('$longName','".(int)$obj->subscribed."');";
			#}
	
	
#			foreach($allFolders as $folderID => $folderObject)
#			{
#				$folder_tree_new .= "tree.loadXML('$xmlAutoLoadURL&id=".$folderObject->getID()."');"; 
#				$folder_tree_new .= "tree.openItem('".$folderObject->getID()."');";
#			}
			

			#$selectedID = $_selected->getID();
			#$folder_tree_new.= "tree.closeAllItems(0);tree.openItem('$selectedID');"
			$folder_tree_new.= '</script><a href="#" onclick="javascript:tree.openItem(1); return false;">test</a><a href="#" onclick="javascript:tree.closeItem(1); return false;">test b</a>';

			return $folder_tree_new;
		}
*/
		function deleteACL()
		{
			$userID		= (int)$_GET['userid'];
			$groupID	= (int)$_GET['groupid'];
			
			$documentID	= (int)$_GET['documentid'];

			if($documentID)
			{
				$this->bomydms->deleteACL($documentID, ($userID == 'unselected' ? false : (int)$userID), ($groupID == 'unselected' ? false : (int)$groupID));
				$this->viewDocument($documentID);
			}
		}

		function deleteDocument()
		{
			$documentID	= (int)$_GET['documentid'];

			if($documentID)
			{
				$this->bomydms->deleteDocument($documentID);
			}
			print '<script language="JavaScript">window.close();</script>';
		}

		function deleteFile()
		{
			$documentID	= (int)$_GET['documentid'];
			$version	= (int)$_GET['version'];

			if($documentID && $version)
			{
				$this->bomydms->deleteFile($documentID, $version);
				$this->viewDocument($documentID);
			}
		}

		function deleteNotification()
		{
			$documentID	= (int)$_GET['documentid'];
			$userID		= (int)$_GET['userid'];
			$groupID	= (int)$_GET['groupid'];

			if($documentID && ($userID || $groupID))
			{
				$this->bomydms->deleteNotification($documentID, (!$userID ? false : $userID), (!$groupID ? false : $groupID));
				$this->viewDocument($documentID);
			}
		}

		function display_app_header()
		{
			if(!@is_object($GLOBALS['phpgw']->js))
			{
				$GLOBALS['phpgw']->js =& CreateObject('phpgwapi.javascript');
			}
			if (!is_object($GLOBALS['phpgw']->jscalendar))
			{
				$GLOBALS['phpgw']->jscalendar = CreateObject('phpgwapi.jscalendar');
			}
			$GLOBALS['phpgw']->js->validate_file('dhtmlxtree','js/dhtmlXCommon');
			$GLOBALS['phpgw']->js->validate_file('dhtmlxtree','js/dhtmlXTree');
			switch($_GET['menuaction'])
			{
				case 'mydms.uimydms.addACL':
				case 'mydms.uimydms.addNotification':
				case 'mydms.uimydms.deleteACL':
				case 'mydms.uimydms.deleteFile':
				case 'mydms.uimydms.deleteNotification':
				case 'mydms.uimydms.setDefaultAccess':
				case 'mydms.uimydms.setOwner':
				case 'mydms.uimydms.updateACL':
				case 'mydms.uimydms.updateFile':
				case 'mydms.uimydms.viewDocument':
				case 'mydms.uimydms.inheritACL':
					$GLOBALS['phpgw']->js->validate_file('tabs','tabs');
					$GLOBALS['phpgw']->js->validate_file('jscode','viewDocument','mydms');
					$GLOBALS['phpgw']->js->validate_file('jscode','mydms','mydms');

					$GLOBALS['phpgw']->js->set_onload('javascript:initTabs();');
					break;
				case 'mydms.uimydms.folderChooser':
					$GLOBALS['phpgw']->js->validate_file('jscode','mydms','mydms');
					$GLOBALS['phpgw']->js->validate_file('jscode','folderChooser','mydms');
					break;
			}

			$GLOBALS['phpgw_info']['flags']['include_xajax'] = True;

			$GLOBALS['phpgw']->common->phpgw_header();
			#if(!$this->mailPreferences['messageNewWindow'])
			#	echo parse_navbar();
		}

		function getFolderTree($path, $level = 0, $_activeObj, $isFolder)
		{
			return $this->createHTMLFolder($path, $_activeObj, 'mydmstreebox');			
		}
		
		function inheritACL()
		{
			$documentID	= (int)$_GET['documentid'];
			$action		= $_GET['action'];
			$mode		= $_GET['mode'];

			if($documentID && $action)
			{
				$this->bomydms->inheritACL($documentID, $action, $mode);
				$this->viewDocument($documentID);
			}
		}
		
		function setDefaultAccess()
		{
			$documentID	= (int)$_GET['documentid'];
			$mode		= $_POST['defaultAccess'];

			if($documentID && $mode)
			{
				$this->bomydms->setDefaultAccess($documentID, $mode);
				$this->viewDocument($documentID);
			}
		}

		function setOwner()
		{
			$documentID	= (int)$_GET['documentid'];
			$owner		= (int)$_POST['owner'];

			if($documentID && $owner)
			{
				$this->bomydms->setOwner($documentID, $owner);
				$this->viewDocument($documentID);
			}
		}

		function translate()
		{
			$this->t->set_var('lang_informations',lang('informations'));
			$this->t->set_var('lang_all_versions',lang('all versions'));
			$this->t->set_var('lang_linked_documents',lang('linked documents'));
			$this->t->set_var('lang_owner',lang('owner'));
			$this->t->set_var('lang_comment',lang('comment'));
			$this->t->set_var('lang_keywords',lang('keywords'));
			$this->t->set_var('lang_download',lang('Descargar Archivo'));
			$this->t->set_var('lang_last_update',lang('last update'));
			$this->t->set_var('lang_current_version',lang('current version'));
			$this->t->set_var('lang_uploaded_by',lang('uploaded by'));
			$this->t->set_var('lang_file_size',lang('file size'));
			$this->t->set_var('lang_filename',lang('filename'));
			$this->t->set_var('lang_mime_type',lang('mime type'));
			$this->t->set_var('lang_comment_for_current_version',lang('comment for current version'));
			$this->t->set_var('lang_creation_date',lang('creation date'));
			$this->t->set_var('lang_lock_status',lang('lock status'));
			$this->t->set_var('lang_expires',lang('expires'));
			$this->t->set_var('lang_version',lang('version'));
			$this->t->set_var('lang_upload_date',lang('upload date'));
			$this->t->set_var('lang_save',lang('save'));
			$this->t->set_var('lang_cancel',lang('cancel'));
			$this->t->set_var('lang_delete',lang('delete'));
			$this->t->set_var('lang_view_online',lang('view online'));
			$this->t->set_var('lang_confirm_delete',lang('Relmente quiere borrar el documento?'));
			$this->t->set_var('lang_update_document',lang('update document'));
			$this->t->set_var('lang_update',lang('update'));
			$this->t->set_var('lang_acl',lang('acl'));
			$this->t->set_var('lang_name',lang('name'));
			$this->t->set_var('lang_move_document',lang('move document'));
			$this->t->set_var('lang_folder',lang('folder'));
			$this->t->set_var('lang_user',lang('user'));
			$this->t->set_var('lang_group',lang('group'));
			$this->t->set_var('lang_acl',lang('acl'));
			$this->t->set_var('lang_acl_get_inherited',lang('acl get inherited'));
			$this->t->set_var('lang_notifications',lang('notifications'));
			$this->t->set_var('lang_file_gets_unlocked',lang('this document gets unlocked by you.'));
			$this->t->set_var('lang_file_gets_locked',lang('this document gets locked by you!'));
			$this->t->set_var('lang_delete_this_notification',lang('delete this notification'));
			$this->t->set_var('lang_add_notification',lang('add notification'));
			$this->t->set_var('lang_information_about_last_update',lang('information about last update'));
			$this->t->set_var('lang_general_information',lang('general information'));
			$this->t->set_var('lang_copy_acl',lang('copy acl'));
			$this->t->set_var('lang_create_empty_acl',lang('create empty acl'));
			$this->t->set_var('lang_inherit_acl_again',lang('inherit acl again'));
			$this->t->set_var('lang_default_access',lang('default access'));
			$this->t->set_var('lang_permission',lang('permission'));
			$this->t->set_var('lang_add_acl',lang('add acl'));
			$this->t->set_var('lang_current_acl',lang('current acl'));
			$this->t->set_var('lang_access_mode',lang('access mode'));
			$this->t->set_var('lang_confirm_acl_delete',lang('Do you really want to delete this acl?'));
		}
		
		function updateACL()
		{
			$userID		= (int)$_GET['userid'];
			$groupID	= (int)$_GET['groupid'];
			$access		= (int)$_POST['mode'];
			
			$documentID	= (int)$_GET['documentid'];

			if($documentID)
			{
				$this->bomydms->updateACL($documentID, ($userID == 'unselected' ? false : (int)$userID), ($groupID == 'unselected' ? false : (int)$groupID), $access);
				$this->viewDocument($documentID);
			}
		}

		function updateDocument()
		{
			$fileName	= $_POST['fname'];
			$comment	= $_POST['comment'];
			$keywords	= $_POST['keywords'];
			$expire		= $_POST['expire'];
			$expire_date	= $GLOBALS['phpgw']->jscalendar->input2date($_POST['expire_date']);
			$lockStatus	= $_POST['lockStatus'];
			$targetID	= $_POST['targetid'];
			
			$documentID	= (int)$_GET['documentid'];

			if($documentID)
			{
				$this->bomydms->updateDocument($documentID,$fileName,$comment,$keywords,($expire ? $expire_date['raw'] : 0));
				if($lockStatus != 'unchanged')
				{
					$this->bomydms->updateLockStatus($documentID, $lockStatus);
				}
				if($targetID != 'unchanged')
				{
					$this->bomydms->moveDocument($documentID, (int)$targetID);
				}
			}
			print '<script language="JavaScript">window.close();</script>';
		}

		function updateFile()
		{
			$comment	= $_POST['comment'];
			$expire		= $_POST['expire'];
			$expire_date	= $GLOBALS['phpgw']->jscalendar->input2date($_POST['expire_date_update']);
			$documentID	= (int)$_GET['documentid'];
			$userfile	= $_FILES['userfile'];

			if($documentID && is_uploaded_file($userfile['tmp_name']))
			{
				$this->bomydms->updateFile($documentID, $userfile, $comment, ($expire ? $expire_date['raw'] : 0));
				$this->viewDocument($documentID);
			}
		}

		function viewDocument($_documentID=false)
		{
			$documentID = ($_documentID === false ? (int)$_GET['documentid'] : $_documentID);
			
			//echo "documento".$documentID;
			if(!$document	= getDocument($documentID))
			{
				print "Access denied!"; exit;
			}
		

			$user 		= getUser($GLOBALS['phpgw_info']['user']['account_id']);
			$accessMode	= $document->getAccessMode($user);
			$owner		= $document->getOwner();
			$folder		= $document->getFolder();
			$latestContent	= $document->getLatestContent();
			$versions	= $document->getContent();
			$notifyList	= $document->getNotifyList();
			$accessList	= $document->getAccessList();
			$updatingUser	= $latestContent->getUser();
			
			#_debug_array($document);
			
			$this->display_app_header();
		
			$this->t->set_file(array("viewDocument" => "viewDocument.tpl"));
			$this->t->set_block('viewDocument', 'main', 'main');
			$this->t->set_block('viewDocument', 'acl_row', 'acl_row');
			$this->t->set_block('viewDocument', 'lock_row', 'lock_row');
			$this->t->set_block('viewDocument', 'version_row', 'version_row');
			$this->t->set_block('viewDocument', 'notification_row', 'notification_row');
			$this->t->set_block('viewDocument', 'information_ro', 'information_ro');
			$this->t->set_block('viewDocument', 'information_rw', 'information_rw');
			$this->t->set_block('viewDocument', 'block_download', 'block_download');
			$this->t->set_block('viewDocument', 'block_view_online', 'block_view_online');
			$this->t->set_block('viewDocument', 'block_delete', 'block_delete');
			$this->t->set_block('viewDocument', 'block_change_owner', 'block_change_owner');
			$this->t->set_block('viewDocument', 'block_acl_inherite', 'block_acl_inherite');
			$this->t->set_block('viewDocument', 'block_acl_notinherite', 'block_acl_notinherite');

			$downloadImage 	= $GLOBALS['phpgw']->common->image('mydms','download');
			$viewImage 	= $GLOBALS['phpgw']->common->image('mydms','view');
			$deleteImage 	= $GLOBALS['phpgw']->common->image('mydms','del');
			$groupImage	= $GLOBALS['phpgw']->common->image('mydms','groupicon');
			$userImage	= $GLOBALS['phpgw']->common->image('mydms','usericon');
			$saveImage	= $GLOBALS['phpgw']->common->image('mydms','save');
			$this->t->set_var('download_image',$downloadImage);
			$this->t->set_var('view_image',$viewImage);
			$this->t->set_var('delete_image',$deleteImage);
			$this->t->set_var('save_image',$saveImage);


			$this->translate();
			
			$linkData = array
			(
				'menuaction'	=> 'mydms.uimydms.folderChooser',
			);
			$this->t->set_var('folderChooserURL', $GLOBALS['phpgw']->link('/index.php',$linkData));

			$linkData = array
			(
				'menuaction'	=> 'mydms.uimydms.updateDocument',
				'documentid'	=> $documentID,
			);
			$this->t->set_var('action_informations', $GLOBALS['phpgw']->link('/index.php',$linkData));

			// download link
			$linkData = array
			(
				'documentid'	=> $documentID,
				'version'	=> $latestContent->getVersion(),
			);
			$this->t->set_var('download_link', $GLOBALS['phpgw']->link('/mydms/op/op.Download.php',$linkData));
			$this->t->parse('download','block_download',True);

			// view Online
			if ($latestContent->viewOnline())
			{
				$linkData = array
				(
					'documentid'	=> $documentID,
					'version'	=> $latestContent->getVersion()
				);
				$this->t->set_var('view_link', $GLOBALS['phpgw']->link('/mydms/op/op.ViewOnline.php',$linkData));
				$this->t->parse('view_online','block_view_online',True);
			}

			// delete link
			if ($accessMode == M_ALL)
			{
				$linkData = array
				(
					'menuaction'	=> 'mydms.uimydms.deleteDocument',
					'documentid'	=> $documentID,
				);
				$this->t->set_var('delete_link', $GLOBALS['phpgw']->link('/index.php',$linkData));
				$this->t->parse('delete','block_delete',True);
			}

			$this->t->set_var('owner_fullname',	$owner->getFullName());
			$this->t->set_var('owner_email',	$owner->getEmail());

			$this->t->set_var('updater_fullname',	$updatingUser->getFullName());
			$this->t->set_var('updater_email',	$updatingUser->getEmail());

			$this->t->set_var('filename',		$document->getName());
			$this->t->set_var('comment',		$document->getComment());
			$this->t->set_var('keywords',		$document->getKeywords());
			$this->t->set_var('creation_date',	date("d.m.Y - H:i:s",$document->getDate()));

			$this->t->set_var('foldername',		$folder->getName());
			$this->t->set_var('current_folder_id',	$folder->getID());
			
			// lock status
			// lock select box
			
			if ($document->isLocked())
			{
				$lockingUser = $document->getLockingUser();

				$this->t->set_var('lang_current_status', lang('this document is locked by <a href="mailto:%1">%2</a>.',$lockingUser->getEmail(),$lockingUser->getFullName()));
				$this->t->set_var('checked_lock_status', 'checked');
				$this->t->parse('locking','lock_row',True);
			}
			else
			{
				$this->t->set_var('lang_current_status', lang('this document is currently not locked.'));
				
				$this->t->parse('locking','lock_row', True);
			}

if (!is_object($GLOBALS['phpgw']->html))
			{
				$GLOBALS['phpgw']->html = CreateObject('phpgwapi.html');
			}

			
			// expire select box
			$selectOptions = array('0' => lang('does not expire'), '1' => lang('expires after'));
			$this->t->set_var('select_expire',$GLOBALS['phpgw']->html->select('expire',(!$document->getExpires() ? 0 : 1),$selectOptions,true,"onchange=\"toggleJSCal(this);\""));
			#$this->t->set_var('select_expire',$GLOBALS['phpgw']->html->select('expire',(!$document->getExpires() ? 0 : 1),$selectOptions,true,"onchange=\"alert('test')\""));
			
			if (!$document->getExpires())
			{
				$this->t->set_var('expire_date_ro',lang('does not expire'));
				$this->t->set_var('expire_date',$GLOBALS['phpgw']->jscalendar->input('expire_date',''));
				$this->t->set_var('expire_class', 'inactive');
			}
			else
			{
				$this->t->set_var('expire_date_ro',lang('expires after').' '.date("d.m.Y",$document->getExpires()));
				$this->t->set_var('expire_date',$GLOBALS['phpgw']->jscalendar->input('expire_date',$document->getExpires()));
				$this->t->set_var('expire_class', 'active');
			}
				
			$this->t->set_var('current_version',	$latestContent->getVersion());
			$this->t->set_var('current_comment',	$latestContent->getComment());
			$this->t->set_var('mime_type',		$latestContent->getMimeType());
			$this->t->set_var('file_size',		filesize($GLOBALS['phpgw_info']['server']['files_dir'] . '/mydms/' . $latestContent->getPath()));
			$this->t->set_var('last_update',	date("d.m.Y - H:i:s",$latestContent->getDate()));

			$this->t->set_var('rownum',		count($versions)+1);

			if (($accessMode >= M_READWRITE))
			{
				$this->t->parse('informations','information_rw',True);
			}
			else
			{
				$this->t->parse('informations','information_ro',True);
			}

			for ($i = count($versions)-1; $i >= 0; $i--)
			{
				$version = $versions[$i];
				$uploadingUser = $version->getUser();
				$comment = $version->getComment();
				//if (strlen($comment) > 25) $comment = substr($comment, 0, 22) . "...";

				$this->t->set_var('version_version',		$version->getVersion());
				$this->t->set_var('version_comment',		$version->getComment());
				$this->t->set_var('version_uploadingUser',	$uploadingUser->getFullName());
				$this->t->set_var('version_date',		date("d.m.Y - H:i:s",$version->getDate()));
				if ($version->viewOnline())
					$this->t->set_var('url_view_online', "<a target=\"_blank\" href=\"../op/viewonline" . $version->getURL()."\"><img src=\"images/view.gif\" width=18 height=18 border=0 title=\"".lang('view online')."\"></a>");
				else
					$this->t->set_var('url_view_online',	'');
				
				$linkData = array
				(
					'documentid'	=> $documentID,
					'version'	=> $version->getVersion()
				);
				$this->t->set_var('url_download_file', $GLOBALS['phpgw']->link('/mydms/op/op.Download.php',$linkData));
				
				if (($accessMode == M_ALL) && (count($versions) > 1))
				{
					$linkData = array
					(
						'menuaction'	=> 'mydms.uimydms.deleteFile',
						'documentid'	=> $documentID,
						'version'	=> $version->getVersion(),
						'tabpage'	=> 2,
					);
					$this->t->set_var('url_delete_file',
						"<a href=\"".$GLOBALS['phpgw']->link('/index.php',$linkData).
							"\" onClick=\"return confirm('".lang('do you really want to delete this version of the document?').
							"');\"><img src=\"$deleteImage\" width=15 height=15 border=0 title=\"".
							lang("delete")."\"></a>");
				}
				
				$this->t->parse('versions','version_row',True);
			}
			
			// div 4 notifications
			$linkData = array
			(
				'menuaction'	=> 'mydms.uimydms.addNotification',
				'documentid'	=> $documentID,
				'tabpage'	=> 4,
			);
			$this->t->set_var('notify_form_action', $GLOBALS['phpgw']->link('/index.php',$linkData));

			foreach ((array)$notifyList["users"] as $userNotify)
			{
				$this->t->set_var('notify_username',$userNotify->getFullName());
				$this->t->set_var('notify_image',$userImage);
				
				$linkData = array
				(
					'menuaction'	=> 'mydms.uimydms.deleteNotification',
					'documentid'	=> $documentID,
					'userid'	=> $userNotify->getID(),
					'tabpage'	=> 4,
				);
				$this->t->set_var('link_notify_delete', $GLOBALS['phpgw']->link('/index.php',$linkData));

				$this->t->parse('notifications','notification_row',True);
			}
			
			foreach ((array)$notifyList["groups"] as $groupNotify)
			{
				$this->t->set_var('notify_username',$groupNotify->getName());
				$this->t->set_var('notify_image',$groupImage);
				
				$linkData = array
				(
					'menuaction'	=> 'mydms.uimydms.deleteNotification',
					'documentid'	=> $documentID,
					'groupid'	=> $groupNotify->getID(),
					'tabpage'	=> 4,
				);
				$this->t->set_var('link_notify_delete', $GLOBALS['phpgw']->link('/index.php',$linkData));

				$this->t->parse('notifications','notification_row',True);
			}
			
			$allUsers = getAllUsers();
			$allUsersOptions = array('unselected' => lang('please select').'...');
			foreach ($allUsers as $userObj)
			{
				$allUsersOptions[$userObj->getID()] = $userObj->getFullName();
			}
			$this->t->set_var('select_userid',$GLOBALS['phpgw']->html->select('userid',0,$allUsersOptions,true,"style=\"width: 300px;\" onchange=\"javascript:document.notify_form.submit();\""));
			
			$allGroups = getAllGroups();
			$allGroupsOptions = array('unselected' => lang('please select').'...');
			foreach ($allGroups as $groupObj)
			{
				$allGroupsOptions[$groupObj->getID()] = $groupObj->getName();
			}
			$this->t->set_var('select_groupid',$GLOBALS['phpgw']->html->select('groupid',0,$allGroupsOptions,true,"style=\"width: 300px;\" onchange=\"javascript:document.notify_form.submit();\""));
			
	// div 5 ACL
			if ($accessMode == M_ALL)
			{
				if ($user->isAdmin())
				{
					$linkData = array
					(
						'menuaction'	=> 'mydms.uimydms.setOwner',
						'documentid'	=> $documentID,
						'tabpage'	=> 5,
					);
					$this->t->set_var('action_change_owner', $GLOBALS['phpgw']->link('/index.php',$linkData));

					$allUsers = getAllUsers();
					$allUsersOptions = array();
					foreach ($allUsers as $userObj)
					{
						$allUsersOptions[$userObj->getID()] = $userObj->getFullName();
					}
					$this->t->set_var('select_ownerid',$GLOBALS['phpgw']->html->select('owner',$owner->getID(),$allUsersOptions,true,"style=\"width: 300px;\" onchange=\"javascript:document.change_owner.submit();\""));
					
					$this->t->parse('change_owner','block_change_owner',True);
				}
				
				if ($document->inheritsAccess())
				{
					$linkData = array
					(
						'menuaction'	=> 'mydms.uimydms.inheritACL',
						'documentid'	=> $documentID,
						'action'	=> 'notinherit',
						'mode'		=> 'copy',
						'tabpage'	=> 5,
					);
					$this->t->set_var('link_acl_copy', $GLOBALS['phpgw']->link('/index.php',$linkData));
					
					$linkData = array
					(
						'menuaction'	=> 'mydms.uimydms.inheritACL',
						'documentid'	=> $documentID,
						'action'	=> 'notinherit',
						'mode'		=> 'empty',
						'tabpage'	=> 5,
					);
					$this->t->set_var('link_acl_empty', $GLOBALS['phpgw']->link('/index.php',$linkData));

					$this->t->parse('display_acl','block_acl_inherite',True);
				}
				else
				{
					$linkData = array
					(
						'menuaction'	=> 'mydms.uimydms.inheritACL',
						'documentid'	=> $documentID,
						'action'	=> 'inherit',
						'tabpage'	=> 5,
					);
					$this->t->set_var('link_acl_inherit_again', $GLOBALS['phpgw']->link('/index.php',$linkData));

					$linkData = array
					(
						'menuaction'	=> 'mydms.uimydms.setDefaultAccess',
						'documentid'	=> $documentID,
						'tabpage'	=> 5,
					);
					$this->t->set_var('action_change_default_access', $GLOBALS['phpgw']->link('/index.php',$linkData));

					$linkData = array
					(
						'menuaction'	=> 'mydms.uimydms.addACL',
						'documentid'	=> $documentID,
						'tabpage'	=> 5,
					);
					$this->t->set_var('action_add_acl', $GLOBALS['phpgw']->link('/index.php',$linkData));

					
					$defaultACL = array
					(
						M_NONE 		=> 'access_mode_none',
						M_READ		=> 'access_mode_read',
						M_READWRITE	=> 'access_mode_readwrite',
						M_ALL		=> 'access_mode_all',
					);
					$this->t->set_var('select_default_access',$GLOBALS['phpgw']->html->select('defaultAccess',$document->getDefaultAccess(),$defaultACL,false,"style=\"width: 300px;\" onchange=\"javascript:document.change_default_access.submit();\""));

					foreach ((array)$accessList["users"] as $userAccess)
					{
						$userObj	= $userAccess->getUser();
						$userMode	= $userAccess->getMode();

						$this->t->set_var('acl_username',$userObj->getFullName());
						$this->t->set_var('acl_image',$userImage);

						$linkData = array
						(
							'menuaction'	=> 'mydms.uimydms.updateACL',
							'documentid'	=> $documentID,
							'userid'	=> $userObj->getID(),
							'tabpage'	=> 5,
						);
						$this->t->set_var('action_acl_row', $GLOBALS['phpgw']->link('/index.php',$linkData));

						$linkData = array
						(
							'menuaction'	=> 'mydms.uimydms.deleteACL',
							'documentid'	=> $documentID,
							'userid'	=> $userObj->getID(),
							'tabpage'	=> 5,
						);
						$this->t->set_var('link_acl_delete', $GLOBALS['phpgw']->link('/index.php',$linkData));

						$this->t->set_var('acl_selectbox',$GLOBALS['phpgw']->html->select('mode',$userAccess->getMode(),$defaultACL,false,"style=\"width: 300px;\""));
				
						$this->t->parse('acls','acl_row',True);
					}
					
					foreach ((array)$accessList["groups"] as $groupAccess)
					{
						$groupObj	= $groupAccess->getGroup();
						$groupMode	= $groupAccess->getMode();

						$this->t->set_var('acl_username',$groupObj->getName());
						$this->t->set_var('acl_image',$groupImage);

						$linkData = array
						(
							'menuaction'	=> 'mydms.uimydms.updateACL',
							'documentid'	=> $documentID,
							'groupid'	=> $groupObj->getID(),
							'tabpage'	=> 5,
						);
						$this->t->set_var('action_acl_row', $GLOBALS['phpgw']->link('/index.php',$linkData));

						$linkData = array
						(
							'menuaction'	=> 'mydms.uimydms.deleteACL',
							'documentid'	=> $documentID,
							'groupid'	=> $groupObj->getID(),
							'tabpage'	=> 5,
						);
						$this->t->set_var('link_acl_delete', $GLOBALS['phpgw']->link('/index.php',$linkData));

						$this->t->set_var('acl_selectbox',$GLOBALS['phpgw']->html->select('mode',$groupAccess->getMode(),$defaultACL,false,"style=\"width: 300px;\""));

						$this->t->parse('acls','acl_row',True);
					}


					$allUsers = getAllUsers();
					$allUsersOptions = array('unselected' => lang('please select').'...');
					foreach ($allUsers as $userObj)
					{
						$allUsersOptions[$userObj->getID()] = $userObj->getFullName();
					}
					$this->t->set_var('select_add_acl_userid',$GLOBALS['phpgw']->html->select('userid',0,$allUsersOptions,true,"style=\"width: 300px;\" oonchange=\"javascript:document.notify_form.submit();\""));
			
					$allGroups = getAllGroups();
					$allGroupsOptions = array('unselected' => lang('please select').'...');
					foreach ($allGroups as $groupObj)
					{
						$allGroupsOptions[$groupObj->getID()] = $groupObj->getName();
					}
					$this->t->set_var('select_add_acl_groupid',$GLOBALS['phpgw']->html->select('groupid',0,$allGroupsOptions,true,"style=\"width: 300px;\" oonchange=\"javascript:document.notify_form.submit();\""));

					$this->t->set_var('select_add_acl_permission',$GLOBALS['phpgw']->html->select('access',M_READ,$defaultACL,false,"style=\"width: 300px;\" oonchange=\"javascript:document.change_default_access.submit();\""));

					$this->t->parse('display_acl','block_acl_notinherite',True);
				}
			}
			
	// div 6 update file
			
			$linkData = array
			(
				'menuaction'	=> 'mydms.uimydms.updateFile',
				'documentid'	=> $documentID,
			);
			$this->t->set_var('action_update_file', $GLOBALS['phpgw']->link('/index.php',$linkData));

			// expire select box
			$this->t->set_var('select_expire_update',$GLOBALS['phpgw']->html->select('expire',0,$selectOptions,true,"onchange=\"toggleJSCalUpdate(this);\""));
			
			$this->t->set_var('expire_date_update',$GLOBALS['phpgw']->jscalendar->input('expire_date_update',''));
			$this->t->set_var('expire_class_update', 'inactive');
			
			
			$this->t->parse("out","main");
			
			print $this->t->get('out','main');
		}

	}

?>
